LINUX.ORG.RU

Зачем? Это же седая древность, такое разве что в 4-м «дебыче» надыбать можно. Или там уже 3-е «кеды» были?

Korchevatel ★★★★★ ()
Ответ на: комментарий от zx_gamer

Хотеть то оно конечно можно. Но настолько старая версия в качестве зависимостей потребует старые версии тех компонентов, от которых она зависит и соответственно установить все эти старые компоненты на актуальную систему не то чтобы невозможно, но как было в том ролике про эксперта, очень близко к невозможному.

rumgot ★★★★★ ()
Ответ на: комментарий от zx_gamer

https://github.com/heliocastro/kde2

Building:

Clone the super repo: git clone --recursive git@github.com:heliocastro/kde2.git
Enter the directory: cd kde2
Create an non source build dir ( i usually use build ): mkdir build
Run cmake: cmake ..
My default compiler is Clang on Fedora Linux 28 at this moment

Ubuntu Dependencies ( from 16.04 and beyond)

sudo apt install bison byacc cmake flex freeglut3-dev libacl1-dev libasound2-dev libbz2-dev libfreetype-dev libgl1-mesa-dev libjpeg-dev libltdl-dev libmng-dev libpcre3-dev libtiff5-dev libxft2-dev libxml2-dev libxmu-dev libxslt-dev pkg-config

boowai ★★★★ ()
Ответ на: комментарий от sparkie

Ты видел сколько там исходных текстов? Я заколебусь это «голым» GCC / G++ .

zx_gamer ()

Никак. Проще и дешевле обратиться к профессиональному психотерапевту.

gremlin_the_red ★★★★★ ()
Ответ на: комментарий от boowai

Спасибо. Попробую.

– Я поражаюсь людям, которым лень makefile сделать. У них мысль «Я собрал, пусть все остальные тоже страдают»?

zx_gamer ()
Ответ на: комментарий от zx_gamer

http://web.archive.org/web/20020604073349/http://kde.org/install-source.html

Как установишь Qt 2.3.1, Automake 1.5 (потому что 1.6 не работает) и, главное, gcc 2.96 — отпишись. Мне кажется, уже на этом этапе энтузиазм твой поубавится.

Bass ★★★★★ ()
Последнее исправление: Bass (всего исправлений: 1 )
Ответ на: комментарий от zx_gamer

Если было все так просто… Пакета DEB этой версии Kde под актуальную систему Ubuntu нет. Поэтому выход только в самостоятельной сборке. А при сборке потребуются всякие библиотеки-зависимости тоже старинных версий.

rumgot ★★★★★ ()
Ответ на: комментарий от zx_gamer

Голые makefile-ы сейчас руками не пишут, это трудоемко и не эффективно. Сейчас используются системы управления сборкой (cmake). И вот они уже генерируют makefile-ы.

rumgot ★★★★★ ()
Последнее исправление: rumgot (всего исправлений: 1 )
Ответ на: комментарий от boowai

Опачки. Вот нашелся же человек, которому понадобился kde 2.2.2 и, что более удивительно, нашелся другой человек до сих пор налаживающий сборку.

rumgot ★★★★★ ()

Толсто.

Выложить пароль и забаниться, тогда KDE 2.2.2 соберётся автоматически сразу под FreeBSD всех актуальных версий :-)

Twissel ★★★★★ ()
Ответ на: комментарий от boowai

Такая вот ошибка: leonid@Kubuntu:~/Рабочий стол/kde2-master$ git clone –recursive git@github.com:heliocastro/kde2.git Клонирование в «kde2»… git@github.com: Permission denied (publickey). fatal: Не удалось прочитать из внешнего репозитория.

Удостоверьтесь, что у вас есть необходимые права доступа и репозиторий существует. leonid@Kubuntu:~/Рабочий стол/kde2-master$

zx_gamer ()
Ответ на: комментарий от zx_gamer

Чувак, пока ты не научишься пользоваться Google’ом, тебе не собрать KDE 2.2.2. И даже 2.2.1.

Отдельного комментария стоит путь, содержащий пробелы и кириллицу.

Bass ★★★★★ ()
Последнее исправление: Bass (всего исправлений: 1 )
Ответ на: комментарий от zx_gamer

Видимо прикрыли с этой стороны. Попробуй https адрес. Он такой же, как в браузере, только тоже .git в конце. В браузере на странице есть зеленая кнопка со стрелкой вниз, типа скачать, справа-сверху. Там адрес должен быть, и скачивание архивом тоже. Тебе проще архив распаковать.

boowai ★★★★ ()

PCem; VirtualBox, aQEMU-KVM (user session)

anonymous ()
Ответ на: комментарий от anonymous-angler

Да не, реально можно запустить в виртуалке и проброситься через VNC или файловые системы подключить к дистру, где работает этот КДЕ 2.2

anonymous ()

Да чо тут думать? Патчить надо!

greenman ★★★★★ ()
Ответ на: комментарий от anonymous

Ок. А где можно отковырять дистр с вторыми кедами? Буду очень признателен. Спасибо.

zx_gamer ()
Ответ на: комментарий от anonymous-angler

В общем перефразирую вопрос:

Подскажите пожалуйста дистибутив (можно старый), где установлены вторые кеды. Спасибо.

zx_gamer ()
Ответ на: комментарий от zx_gamer

Redhat 7.1

Ни лучше собери CDE на современном дистре

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.